%define version	0.3.2
%define name violetland

Name:		%{name}
Summary:	Opensource Crossplatform Game similar to Crimsonland
Summary(sr):	Игра у којој убијате масу створова (слично игри Crimsonland)
Version:	%{version}
Release:	%mkrel 1
License:	GPL
Source:		%{name}-%{version}-src.tar.xz
URL:		http://code.google.com/p/violetland/
Group:		Games/Arcade
BuildRequires:	libSDL-devel
BuildRequires:	libSDL_image-devel
BuildRequires:	libSDL_mixer1.2-devel
BuildRequires:	libSDL_ttf2.0-devel
BuildRequires:  ImageMagick
Requires:	SDL, SDL_image, SDL_mixer, SDL_ttf
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
In this game the player should help a girl by name of Violet to
struggle with hordes of monsters. For this purpose the various
weapon, and also the special abilities of the heroine which are
opening with experience can be used. In game there are elements
of RPG in the form of strength-agility-vitality and derivatives.
Also there is an unique feature: dynamic change of day and night.

%description -l sr
У овој игри задатак играча је да помогне девојци Виолети у борби
против хорди чудовишта. На располагању су разна оружја, као и
специјалне способности хероине које се добијају коришћењем стеченог
искуства у игри. Постоје РПГ елементи у форми снага-агилност-виталност
и деривати. Такође постоји и уникатна особина: динамичка промена између
дана и ноћи.

%description -l de
In diesem Spiel hilft der Spieler ein Mädchen mit dem Namen Violet eine
Horde Monster zu bekämpfen. Die Heldin verfügt über besondere Fähigkeiten,
die mit der Zeit wachsen und nutzt verschiedene Waffen. Im Spiel gibt es
RPG-Elemente in Form von Stärke-Agility-Vitalität und Derivate. Auch gibt
es eine Besonderheit: dynamische Wechsel zwischen Tag und Nacht.

%prep
%setup -q

%build
%cmake -DCMAKE_INSTALL_PREFIX:PATH=%{buildroot}/usr
%make

%install
rm -rf %{buildroot}

cd build
make install
cd ..

# icons
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
convert icon-light.png $RPM_BUILD_ROOT/usr/share/pixmaps/%{name}.png

install -d $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir}}
convert icon-light.png -scale 16x16 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert icon-light.png -scale 32x32 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert icon-light.png -scale 48x48 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 0644 %{name}.desktop $RPM_BUILD_ROOT%{_datadir}/applications


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Arcade" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%clean
rm -rf %{buildroot}

%post
%update_desktop_database

%postun
%clean_desktop_database

%files
%defattr(-,root,root)
%{_datadir}/violetland/*
%{_bindir}/*
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Apr 10 2011 Slax <root@pclinux.in.rs> v0.3.2-1pclos2010
- 0.3.2 Update of VioletLand game

* Wed Mar 24 2010 Slax <root@pclinux.in.rs> v0.2.9-1pclos2010
- 0.2.9 Update of VioletLand game

* Wed Oct 08 2009 Slax <root@pclinux.in.rs> 0.2.1-1pclos2010
- 0.2.1 Initial RPM for VioletLand game
